Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Dynamic::ExceptionList_var Class Reference

`#include <DynamicC.h>`

List of all members.

## Public Methods
| ExceptionList_var (void)
| ExceptionList_var (ExceptionList *)
| ExceptionList_var (const ExceptionList_var &)
| ~ExceptionList_var (void)
ExceptionList_var & | operator= (ExceptionList *)
ExceptionList_var & | operator= (const ExceptionList_var &)
ExceptionList * | operator-> (void)
const ExceptionList * | operator-> (void) const
| operator const ExceptionList & () const
| operator ExceptionList & ()
| operator ExceptionList & () const
| operator ExceptionList *& ()
TAO_Pseudo_Object_Manager< TypeCode, TypeCode_var > | operator[] (CORBA::ULong index)
const ExceptionList & | in (void) const
ExceptionList & | inout (void)
ExceptionList *& | out (void)
ExceptionList * | _retn (void)
ExceptionList * | ptr (void) const
## Private Attributes
ExceptionList * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE Dynamic::ExceptionList_var::ExceptionList_var | ( | void |  | ) |

ACE_INLINE Dynamic::ExceptionList_var::ExceptionList_var | ( | ExceptionList * | p | ) |

Dynamic::ExceptionList_var::ExceptionList_var | ( | const ExceptionList_var & |  | ) |

ACE_INLINE Dynamic::ExceptionList_var::~ExceptionList_var | ( | void |  | ) |

## Member Function Documentation

ACE_INLINE::Dynamic::ExceptionList * Dynamic::ExceptionList_var::_retn | ( | void |  | ) |

ACE_INLINE const ::Dynamic::ExceptionList & Dynamic::ExceptionList_var::in | ( | void |  | ) | const

ACE_INLINE::Dynamic::ExceptionList & Dynamic::ExceptionList_var::inout | ( | void |  | ) |

Dynamic::ExceptionList_var::operator const ExceptionList & | ( |  | ) | const

Dynamic::ExceptionList_var::operator ExceptionList & | ( |  | ) | const

Dynamic::ExceptionList_var::operator ExceptionList & | ( |  | ) |

Dynamic::ExceptionList_var::operator ExceptionList *& | ( |  | ) |

ACE_INLINE const ::Dynamic::ExceptionList * Dynamic::ExceptionList_var::operator-> | ( | void |  | ) | const

ACE_INLINE::Dynamic::ExceptionList * Dynamic::ExceptionList_var::operator-> | ( | void |  | ) |

ExceptionList_var& Dynamic::ExceptionList_var::operator= | ( | const ExceptionList_var & |  | ) |

ACE_INLINE Dynamic::ExceptionList_var & Dynamic::ExceptionList_var::operator= | ( | ExceptionList * | p | ) |

Dynamic::TypeCode_var Dynamic::ExceptionList_var::operator[] | ( | CORBA::ULong | index | ) |

ACE_INLINE::Dynamic::ExceptionList *& Dynamic::ExceptionList_var::out | ( | void |  | ) |

ACE_INLINE::Dynamic::ExceptionList * Dynamic::ExceptionList_var::ptr | ( | void |  | ) | const

## Member Data Documentation

ExceptionList* Dynamic::ExceptionList_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- DynamicC.h
- DynamicC.i